Skip to content
Stove Website

Query Ticker Orderbook ​

Endpoint Information ​

Endpoint: GET /api/v1/tickers/{symbol}/orderbooks?exchange={exchange}

Description: Query platform orderbook

Authentication: Institution API Key + Signature (non-Maker API endpoint — X-Maker-Addr is not required). See Authorization

Query Parameters ​

ParameterTypeRequiredDescription
symbolstringYesRoute parameter, stock symbol
exchangeintYesURL parameter, exchange code. See Exchange enum type description
chain_idintNoURL parameter, blockchain network ID. If not provided, queries orders on all chains

Response Parameters ​

FieldTypeDescription
symbolstringStock symbol
marketstringMarket code enum. See Market enum type description
askobject arrayAsk orders
ask[].pricedecimalPrice in corresponding market
ask[].volumedecimalVolume
bidobject arrayBid orders
bid[].pricedecimalPrice in corresponding market
bid[].volumedecimalVolume
timestringTime

Request Example ​

Query Using Default Chain ID ​

bash
curl -X GET "{API_BASE_URL}/api/v1/tickers/AAPLs/orderbooks?exchange=0" \
     -H "X-API-Key: YOUR_API_KEY" \
     -H "X-API-Timestamp: 1715100000000" \
     -H "X-API-Signature: GENERATED_SIGNATURE" \
     -H "Content-Type: application/json"

Query Specifying Chain ID ​

bash
curl -X GET "{API_BASE_URL}/api/v1/tickers/AAPLs/orderbooks?exchange=0&chain_id=56" \
     -H "X-API-Key: YOUR_API_KEY" \
     -H "X-API-Timestamp: 1715100000000" \
     -H "X-API-Signature: GENERATED_SIGNATURE" \
     -H "Content-Type: application/json"

Response Example ​

json
{
    "code": 0,
    "data": {
        "symbol": "AAPLs",
        "market": "usex",
        "ask": [
            {"price": 150.25, "volume": 100.0},
            {"price": 150.30, "volume": 200.0}
        ],
        "bid": [
            {"price": 150.20, "volume": 150.0},
            {"price": 150.15, "volume": 250.0}
        ],
        "time": "2025-01-17T03:00:24Z"
    }
}

Implementation Notes ​

  • Supports querying orderbook on specific blockchain networks via the chain_id parameter
  • If chain_id is not provided, the system queries orders on all chains and aggregates them
  • Orderbook only displays orders with pending status
  • Prices are automatically converted based on the exchange's base currency (USD/HKD/USDT)
  • Bid orders are sorted by price in descending order, ask orders in ascending order
  • Maximum of 5 price levels displayed per side
  • Order quantities at the same price are automatically aggregated